Subject: [PATCH 1/3] ARM: OMAP2+: 32k-counter: Use hwmod lookup to check presence of 32k timer

From: [email-masked] (Santosh Shilimkar)
Date: Fri, 30 Mar 2012 17:05:40 +0530

On Friday 30 March 2012 04:59 PM, Hiremath, Vaibhav wrote:
> On Fri, Mar 30, 2012 at 15:12:19, Shilimkar, Santosh wrote:
>> On Fri, Mar 30, 2012 at 2:58 PM, Hiremath, Vaibhav <[email-masked]> wrote:
>>> On Fri, Mar 30, 2012 at 14:50:02, Shilimkar, Santosh wrote:
>>>> On Fri, Mar 30, 2012 at 2:42 PM, Hiremath, Vaibhav <[email-masked]> wrote:
>>>>> On Fri, Mar 30, 2012 at 14:08:20, Shilimkar, Santosh wrote:
>>>>>> On Friday 30 March 2012 02:02 PM, Hiremath, Vaibhav wrote:
>>>>>>> On Fri, Mar 30, 2012 at 13:11:35, Shilimkar, Santosh wrote:
>>>>
> <...>
> 
> Santosh & others,
> 
> Do you think, it makes sense to clean up the CONFIG_OMAP_32K_TIMER
> usage in mach-omap2/timer.c file now? Specifically below code-snippet -
> 
> #ifdef CONFIG_OMAP_32K_TIMER
> #define OMAP2_CLKEV_SOURCE      OMAP2_32K_SOURCE
> #define OMAP3_CLKEV_SOURCE      OMAP3_32K_SOURCE
> #define OMAP4_CLKEV_SOURCE      OMAP4_32K_SOURCE
> #define OMAP3_SECURE_TIMER      12
> #else
> #define OMAP2_CLKEV_SOURCE      OMAP2_MPU_SOURCE
> #define OMAP3_CLKEV_SOURCE      OMAP3_MPU_SOURCE
> #define OMAP4_CLKEV_SOURCE      OMAP4_MPU_SOURCE
> #define OMAP3_SECURE_TIMER      1
> #endif
> 
> And lets make 32k_fclk as default clocksource for gptimer, if it is being
> used as clocksource. Atleast with this I can clean whole omap2/3/4 families,
> and I can take omap1 thing later .
> (as I have to understand/read about omap1 first).
> 
> If you agree, I can include this cleanup also in my next version of patch-
> series. What's your opinion here?
> 
I am ok with this clean up. But I let Tony take decision on it.

Regards
Santosh